Trigger Contact Sync
Trigger a contact sync from the configured CS provider. - **manual** (default): Upsert only, no deactivation of stale records. - **full**: Fetches all records, upserts, then deactivates contacts no longer present in the provider (reconciliation).
Trigger a contact sync from the configured CS provider.
- manual (default): Upsert only, no deactivation of stale records.
- full: Fetches all records, upserts, then deactivates contacts no longer present in the provider (reconciliation).
AuthorizationBearer <token>
In: header
Query Parameters
mode?Mode
Sync mode: 'manual' (differential, no reconciliation) or 'full' (with reconciliation — deactivates stale records)
Default
"manual"Match
^(manual|full)$Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/contacts/sync"{
"created": 0,
"deactivated": 0,
"duration_seconds": 0,
"errors": 0,
"message": "string",
"success": true,
"synced": 0,
"updated": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}